GDAL-DATASET-IDENTIFY(1)

NAME
gdal-dataset-identify - Identify driver opening dataset(s)

Added in version 3.12.

gdal dataset identify reports the name of drivers that can open one or several dataset(s).

SYNOPSIS

            Usage: gdal dataset identify [OPTIONS] <FILENAME>

            Identify driver opening dataset(s).

            Positional arguments:
              --filename <FILENAME>                                File or directory name [may be repeated] [required]

            Common Options:
              -h, --help                                           Display help message and exit
              --json-usage                                         Display usage as JSON document and exit
              --config <KEY>=<VALUE>                               Configuration option [may be repeated]
              -q, --quiet                                          Quiet mode (no progress bar)

            Options:
              -f, --of, --format, --output-format <OUTPUT-FORMAT>  Output format. OUTPUT-FORMAT=json|text
              -r, --recursive                                      Recursively scan files/folders for datasets
              --force-recursive                                    Recursively scan folders for datasets, forcing recursion in folders recognized as valid formats
              --report-failures                                    Report failures if file type is unidentified

OPTIONS

    --filename <FILENAME>
        Any file name or directory name. Required. May be repeated

    -f, --of, --format, --output-format json|text
        Which output format to use. Default is JSON, or text when invoked from command line.

    -r, --recursive
        Recursively scan files/folders for datasets.

    --force-recursive
        Recursively scan folders for datasets, forcing recursion in folders recognized as valid formats.

    --report-failures
        Report failures if file type is unidentified.

EXAMPLES

  Example 1: Identifying a single file

            $ gdal dataset identify NE1_50M_SR_W.tif

            NE1_50M_SR_W.tif: GTiff

  Example 2: Identifying a single file with JSON output

            $ gdal dataset identify --of=JSON NE1_50M_SR_W.tif

            [
               {
                 "name": "NE1_50M_SR_W.tif",
                 "driver": "GTiff"
               }
            ]

  Example 3: Recursive mode will scan subfolders and report the data format

                    $ gdal dataset identify -r 50m_raster/

                    NE1_50M_SR_W/ne1_50m.jpg: JPEG
                    NE1_50M_SR_W/ne1_50m.png: PNG
                    NE1_50M_SR_W/ne1_50m_20pct.tif: GTiff
                    NE1_50M_SR_W/ne1_50m_band1.tif: GTiff
                    NE1_50M_SR_W/ne1_50m_print.png: PNG
                    NE1_50M_SR_W/NE1_50M_SR_W.aux: HFA
                    NE1_50M_SR_W/NE1_50M_SR_W.tif: GTiff
                    NE1_50M_SR_W/ne1_50m_sub.tif: GTiff
                    NE1_50M_SR_W/ne1_50m_sub2.tif: GTiff

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026